Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface ServiceRegistryAwareService

All Known Implementing Classes:
  AbstractJtaPlatform, BitronixJtaPlatform, BorlandEnterpriseServerJtaPlatform, C3P0ConnectionProvider, DataSourceBasedMultiTenantConnectionProviderImpl, DefaultIdentifierGeneratorFactory, DriverManagerConnectionProviderImpl, JBossAppServerJtaPlatform, JBossStandAloneJtaPlatform, JdbcServicesImpl, JOnASJtaPlatform, JOTMJtaPlatform, JRun4JtaPlatform, OC4JJtaPlatform, OrionJtaPlatform, PersisterFactoryImpl, ResinJtaPlatform, SunOneJtaPlatform, TestingJtaBootstrap.TestingJtaPlatformImpl, TransactionManagerLookupBridge, WeblogicJtaPlatform, WebSphereExtendedJtaPlatform, WebSphereJtaPlatform

    public interface ServiceRegistryAwareService

Allows services to be injected with the `ServiceRegistry` during configuration phase.

Method Summary
`void` | `injectServices(ServiceRegistryImplementor serviceRegistry)` Callback to inject the registry.

Method Detail

### injectServices

    void injectServices(ServiceRegistryImplementor serviceRegistry)

  Callback to inject the registry.

  Parameters:
    `serviceRegistry` - The registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.